#ifndef BIT_GETOSNAME_H
#define BIT_GETOSNAME_H

#include <string>

std::string getOsName() {
    #ifdef _WIN64
        return "mustdie64";
    #elif _WIN32
        return "mustdie32";
    #elif __APPLE__ || __MACH__
        return "osx";
    #elif __linux__
        return "linux";
    #elif __FreeBSD__
        return "freebsd";
    #elif __unix || __unix__
        return "unix";
    #else
        return "other";
    #endif
}

#endif